import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterGetPermissionToVetService = createAsyncThunk(
  "SLAUGHTER_GET_PERMISSION_TO_VET_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("allow_kill_house_vet/", {
      params: d,
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
